## cdbackup 0.6.2

=== Makefile ===
# compiler selection and options
CC=gcc
CFLAGS=-g -O2 -Wall

# install location
PREFIX=/usr/local

BINDIR=$(PREFIX)/bin
MANDIR=$(PREFIX)/man

###############################################

# executables
TARGETS=cdbackup cdrestore

all: $(TARGETS)

# ruleset
%.o: %.c
	$(CC) $(CFLAGS) -c $< -o $@

cdbackup: cdbackup.o cdrom.o misc.o
	$(CC) $(CFLAGS) -o cdbackup cdbackup.o cdrom.o misc.o

cdrestore: cdrestore.o cdrom.o misc.o
	$(CC) $(CFLAGS) -o cdrestore cdrestore.o cdrom.o misc.o

cdbackup.o: cdbackup.c cdbackup.h cdrom.h misc.h version.h
cdrestore.o: cdrestore.c cdbackup.h cdrom.h misc.h version.h
cdrom.o: cdrom.c cdbackup.h misc.h
misc.o: misc.c misc.h

# targets
strip: $(TARGETS)
	strip $(TARGETS)

clean:
	rm -f $(TARGETS) core *.core *.o

install:
	install -d $(BINDIR)
	install $(TARGETS) $(BINDIR)
	install -d $(MANDIR)/man1
	gzip -c cdbackup.1 >$(MANDIR)/man1/cdbackup.1.gz
	gzip -c cdrestore.1 >$(MANDIR)/man1/cdrestore.1.gz

## cdbackup 0.6.3

=== Makefile ===
# compiler selection and options
CC       = gcc
CFLAGS   = -g -O2 -Wall
DEPFLAGS = -MM -MG

# install location
PREFIX=/usr/local
BINDIR=$(PREFIX)/bin
MANDIR=$(PREFIX)/man

###############################################

TARGETS = cdbackup cdrestore
VERSION = $(shell grep 'define VERSION' version.h | awk '{ print $$3 }' | sed -e 's/["]//g')
ARCHIVE = cdbackup-$(VERSION)
DEPFILE = .dependencies
TMPDIR  = /tmp

all: $(TARGETS)

%.o: %.c
	$(CC) $(CFLAGS) -c $< -o $@

$(DEPFILE): Makefile
	@$(CC) $(DEPFLAGS) cdbackup.c cdrestore.c cdrom.c misc.c > $@

include $(DEPFILE)

cdbackup: cdbackup.o cdrom.o misc.o
	$(CC) $(CFLAGS) -o cdbackup cdbackup.o cdrom.o misc.o

cdrestore: cdrestore.o cdrom.o misc.o
	$(CC) $(CFLAGS) -o cdrestore cdrestore.o cdrom.o misc.o

strip: $(TARGETS)
	strip $(TARGETS)

clean:
	rm -f $(TARGETS) $(DEPFILE) cdbackup-*.tar.gz core *.core *.o

dist: clean
	@-rm -rf $(TMPDIR)/$(ARCHIVE)
	@mkdir $(TMPDIR)/$(ARCHIVE)
	@cp -a * $(TMPDIR)/$(ARCHIVE)
	@tar czf $(ARCHIVE).tar.gz -C $(TMPDIR) $(ARCHIVE)
	@-rm -rf $(TMPDIR)/$(ARCHIVE)
	@echo Distribution package created as $(ARCHIVE).tar.gz

install:
	install -d $(BINDIR)
	install $(TARGETS) $(BINDIR)
	install -d $(MANDIR)/man1
	gzip -c cdbackup.1 >$(MANDIR)/man1/cdbackup.1.gz
	gzip -c cdrestore.1 >$(MANDIR)/man1/cdrestore.1.gz

## cdbackup 0.7.1

=== Makefile ===
--- 
+++ 
@@ -22,15 +22,15 @@
 	$(CC) $(CFLAGS) -c $< -o $@
 
 $(DEPFILE): Makefile
-	@$(CC) $(DEPFLAGS) cdbackup.c cdrestore.c cdrom.c misc.c > $@
+	@$(CC) $(DEPFLAGS) cdbackup.c cdrestore.c cdrom.c virtual.c misc.c > $@
 
 include $(DEPFILE)
 
-cdbackup: cdbackup.o cdrom.o misc.o
-	$(CC) $(CFLAGS) -o cdbackup cdbackup.o cdrom.o misc.o
+cdbackup: cdbackup.o cdrom.o virtual.o virtual-backup.o misc.o
+	$(CC) $(CFLAGS) -o $@ $^
 
-cdrestore: cdrestore.o cdrom.o misc.o
-	$(CC) $(CFLAGS) -o cdrestore cdrestore.o cdrom.o misc.o
+cdrestore: cdrestore.o cdrom.o virtual.o misc.o
+	$(CC) $(CFLAGS) -o $@ $^
 
 strip: $(TARGETS)
 	strip $(TARGETS)

=== debian/changelog ===
cdbackup (0.7.1-4) unstable; urgency=medium

  * QA upload.

  * Added 1000-crc-memsave.patch to fix buffer overflow error in CRC code
    (Closes: #576520).

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 19 Oct 2024 16:38:33 +0200

cdbackup (0.7.1-3) unstable; urgency=medium

  * QA upload.

  * Added d/gbp.conf to describe branch layout.
  * Updated vcs in d/control to Salsa.
  * Updated d/gbp.conf to enforce the use of pristine-tar.
  * Updated Standards-Version from 3.9.8 to 4.7.0.
  * Use wrap-and-sort -at for debian control files
  * Trim trailing whitespace.
  * Use correct machine-readable copyright file URI.
  * Bump debhelper from deprecated 9 to 13.
  * Set debhelper-compat version in Build-Depends.
  * Change priority extra to priority optional.
  * Adjusted d/rules to build with CPPFLAGS and LDFLAGS for hardening.
  * Flagged in d/control that build do not need root to work.

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 15 Jun 2024 09:31:52 +0200

cdbackup (0.7.1-2) unstable; urgency=medium

  * QA upload.
  * Apply a patch by Vagrant Cascadian to make the build reproducible.
    binaries. (Closes: #1011428)

 -- Chris Lamb <lamby@debian.org>  Thu, 08 Dec 2022 17:42:51 +0000

cdbackup (0.7.1-1) unstable; urgency=medium

  * QA upload.
  * New upstream release
  * Set maintainer to Debian QA Group
  * Updated to debhelper 9 (Closes: #817389)
  * Converted to quilt (3.0)
  * Added misc depends
  * Fix FTBFS on hurd-i386 (Closes: #647972)
  * Make build reproducible (Closes: #783453)
  * Converted debian/copyright to DEP-5

 -- David William Richmond Jones <dwrj87@gmail.com>  Thu, 03 Nov 2016 16:01:26 +0000

cdbackup (0.7.0-5) unstable; urgency=low

  * Bumped to Standards-Version: 3.8.0.
  * Fixed typos in manpages.  Thanks A. Costa - closes: #470717
  * Now depends on wodim, instead of cdrecord.

 -- Masayuki Hatta (mhatta) <mhatta@debian.org>  Mon, 14 Jul 2008 15:29:24 +0900

cdbackup (0.7.0-4) unstable; urgency=low

  * Fixed typos in manpages, thanks A. Costa - closes: #454675, #454676

 -- Masayuki Hatta (mhatta) <mhatta@debian.org>  Fri, 07 Dec 2007 09:45:03 +0900

cdbackup (0.7.0-3) unstable; urgency=low

  * Bumped to Standards-Version: 3.7.3.
  * Fixed various lintian warnings.

 -- Masayuki Hatta (mhatta) <mhatta@debian.org>  Thu, 06 Dec 2007 20:31:25 +0900

cdbackup (0.7.0-2) unstable; urgency=low

  * Bumped to Standards-Version: 3.7.2.
  * Fixed typos in description - closes: #363194

 -- Masayuki Hatta (mhatta) <mhatta@debian.org>  Sat, 14 Oct 2006 13:09:59 +0900

cdbackup (0.7.0-1) unstable; urgency=low

  * New upstream release - closes: #274731
  * Removed tar from Recommends, since tar is an essential package (and lintian grumbles about it).

 -- Masayuki Hatta (mhatta) <mhatta@debian.org>  Thu, 10 Mar 2005 21:43:10 +0900

cdbackup (0.6.3-3) unstable; urgency=low

  * [control] changed Maintainer field.
  * Bumped to Standards-Version: 3.6.1.

 -- Masayuki Hatta (mhatta) <mhatta@debian.org>  Sat, 14 Feb 2004 17:02:10 +0900

cdbackup (0.6.3-2) unstable; urgency=low

  * New maintainer - closes: #200310
  * Fixed a typo in cdrestore.1 - closes: #180279
  * Bumped to Standard-Version: 3.5.10

 -- Masayuki Hatta <mhatta@debian.org>  Tue,  8 Jul 2003 13:13:39 +0900

cdbackup (0.6.3-1) unstable; urgency=low

  * New upstream release

 -- Adam Byrtek <alpha@debian.org>  Sun,  6 Oct 2002 20:25:53 +0200

cdbackup (0.6.2-3) unstable; urgency=low

  * Priority changed (from optional to extra) Closes: #145126

 -- Adam Byrtek <alpha@debian.org>  Tue, 30 Apr 2002 13:01:49 +0200

cdbackup (0.6.2-2) unstable; urgency=low

  * Minor fixes...

 -- Adam Byrtek <alpha@debian.org>  Tue,  9 Apr 2002 14:10:13 +0200

cdbackup (0.6.2-1) unstable; urgency=low

  * New upstream release
  * Now media >2GB are supported. Commandline options for padsize and
    CDROM XA2 mode have been added. Man pages have been added.
  * Closes: #138811

 -- Adam Byrtek <alpha@debian.org>  Tue,  9 Apr 2002 00:09:01 +0200

cdbackup (0.6.1-2) unstable; urgency=low

  * Manpages included (thanks to Stefan Frank)

 -- Adam Byrtek <alpha@debian.org>  Fri,  1 Mar 2002 15:28:39 +0100

cdbackup (0.6.1-1) unstable; urgency=low

  * New upstream release

 -- Adam Byrtek <alpha@debian.org>  Sun, 24 Feb 2002 16:59:41 +0100

cdbackup (0.6.0-1) unstable; urgency=low

  * Initial Release
  * Closes #118147 (request for package)

 -- Adam Byrtek <alpha@debian.org>  Sun, 24 Feb 2002 14:38:21 +0100

=== debian/control ===
Source: cdbackup
Section: admin
Priority: optional
Homepage: http://www.muempf.de/
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/debian/cdbackup
Vcs-Git: https://salsa.debian.org/debian/cdbackup.git
Rules-Requires-Root: no

Package: cdbackup
Architecture: any
Depends: wodim,
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: cpio | dump,
Description: CD-R(W) backup utility
 cdbackup and cdrestore are a pair of utilities designed to facilitate
 streaming backup to and from CD-R(W) disks.  Specifically, they were
 designed to work with dump/restore, but tar/cpio/whatever you want should
 work, so long as it writes to stdout for backups and reads from stdin for
 restores.

=== debian/rules ===
#!/usr/bin/make -f
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
#export DH_OPTIONS=-v

%:
	dh $@ 

override_dh_auto_build:
	dh_auto_build -- CFLAGS="$(CFLAGS) $(CPPFLAGS) $(LDFLAGS)"

=== debian/watch ===
version=3
http://www.muempf.de/down/cdbackup-(.+).tar.gz
